Package Details: sstp-client-svn-stable 1.0.9-9

Git Clone URL: https://aur.archlinux.org/sstp-client-svn-stable.git (read-only)
Package Base: sstp-client-svn-stable
Description: SSTP client tested SVN experimantally stable revision
Upstream URL: http://sstp-client.sourceforge.net/
Licenses: GPL2
Provides: sstp-client-svn-stable
Submitter: dluciv
Maintainer: dluciv
Last Packager: dluciv
Votes: 3
Popularity: 0.068180
First Submitted: 2012-03-28 20:41
Last Updated: 2015-10-13 18:59

Required by (0)

Sources (4)

Latest Comments

dluciv commented on 2016-02-15 16:37

Okay, I will apply those corrections with next update.

Thank you.

Martchus commented on 2016-02-15 16:28

Seems like the 1.0.10 release was a mistake.

Anyways when referring to patch files or other additional files, you should never use eg. "../../sstp.options.sample" because this breaks building the package in a chroot. "sstp.options.sample" is a regular source file so you should simply use "${srcdir}/sstp.options.sample". The same applies for the other files.

Martchus commented on 2015-12-17 23:39

I flagged the package.

It seems like the author removed 1.0.10. At the time I flagged the package version 1.0.10 available in SVN.

I just did the following changes
pkgrel=1
pkgver=1.0.10 # see no need to make pkgver() function now
and was able to build version 1.0.10. If you don't believe me, the package is in my repo: http://martchus.netai.net/page.php?name=programming

However, you are right. The package shouldn't be updated until the sources are available again.

dluciv commented on 2015-12-01 08:45

ACHTUNG!

Note for one who wants to flag the package out of date.

It is ...-svn-stable package, which means that SVN branch is used to get latest changes.

sstp-client really has 1.0.10 version released, but there is no 1.0.10 branch under http://sourceforge.net/p/sstp-client/code/HEAD/tree/branches/ at least right now.

So please either ask sstp-client author to update source tree or discover where author hosts actual source code and tell us about this before flagging out of date again.

Thank you!

dluciv commented on 2015-10-13 12:41

Thank you! Fixed it.

Martchus commented on 2015-10-12 19:22

Thanks for the package. However I encountered two issues when building the package in a clean chroot:

- wrong relative paths, eg. "../../actual_ppp_version.diff" should be "../actual_ppp_version.diff"
- missing dependency "libevent"

dluciv commented on 2015-10-10 11:29

> NetworkManager-sstp was gone?

Do not know exactly.

I tried to use it long time ago, failed and gave up. And it requires NetworkManager after all =).

taggaara commented on 2015-10-10 08:31

NetworkManager-sstp was gone?

dluciv commented on 2015-09-21 18:52

> Is EAP-MSCHAPv2 authentication supported?

Likely not, but it is better to ask software author about this. BTW sstp-client now looks like abandonware, as author develops something new to replace it.

maxone commented on 2015-09-21 16:11

Is EAP-MSCHAPv2 authentication supported?

All comments